Alert System
============

Alert system for price, indicator, risk, and system notifications.

Alert Engine
------------

.. automodule:: src.alerts.engine
   :members:
   :undoc-members:
   :show-inheritance:

Alert Manager
-------------

.. automodule:: src.alerts.manager
   :members:
   :undoc-members:
   :show-inheritance:

Alert Channels
--------------

.. automodule:: src.alerts.channels
   :members:
   :undoc-members:
   :show-inheritance:

